Class PhusionPassenger::Railz::RequestHandler |
In: | lib/phusion_passenger/railz/request_handler.rb
Parent: | AbstractRequestHandler

A request handler for Ruby on Rails applications.

Methods

- new
- process_request

Constants

NINJA_PATCHING_LOCK | = | Mutex.new

Public Class methods
new(owner_pipe, options = {})

[ show source ]

        # File lib/phusion_passenger/railz/request_handler.rb, line 27
    27:         def initialize(owner_pipe, options = {})
    28:                 super(owner_pipe, options)
    29:                 NINJA_PATCHING_LOCK.synchronize do
    30:                         ninja_patch_action_controller
    31:                 end
    32:         end

Protected Instance methods
process_request(headers, input, output)

Overrided method.

[ show source ]

        # File lib/phusion_passenger/railz/request_handler.rb, line 36
    36:         def process_request(headers, input, output)
    37:                 cgi = CGIFixed.new(headers, input, output)
    38:                 ::Dispatcher.dispatch(cgi,
    39:                         ::ActionController::CgiRequest::DEFAULT_SESSION_OPTIONS,
    40:                         cgi.stdoutput)
    41:         end